package org.apache.beehive.EmployeeDB;

/*
 * Copyright 2004 The Apache Software Foundation
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *     http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * $Header:$
 */

public class EmployeeWSTestCase extends junit.framework.TestCase {
    public EmployeeWSTestCase(java.lang.String name) {
        super(name);
    }

    public void testServiceWSDL() throws Exception {
        javax.xml.rpc.ServiceFactory serviceFactory = javax.xml.rpc.ServiceFactory.newInstance();
        java.net.URL url = new java.net.URL(new org.apache.beehive.EmployeeDB.ServiceServiceLocator().getServiceAddress() + "?WSDL");
        javax.xml.rpc.Service service = serviceFactory.createService(url, new org.apache.beehive.EmployeeDB.ServiceServiceLocator().getServiceName());
        assertTrue(service != null);
    }

    public void testEmployeeDataBase() throws Exception {
        org.apache.beehive.EmployeeDB.ServiceSoapBindingStub binding;
        try {
            binding = (org.apache.beehive.EmployeeDB.ServiceSoapBindingStub)
                          new org.apache.beehive.EmployeeDB.ServiceServiceLocator().getService();
        }
        catch (javax.xml.rpc.ServiceException jre) {
            if(jre.getLinkedCause()!=null)
                jre.getLinkedCause().printStackTrace();
            throw new junit.framework.AssertionFailedError("JAX-RPC ServiceException caught: " + jre);
        }
        assertNotNull("binding is null", binding);

        // Time out after a minute
        binding.setTimeout(60000);

        // Test creat table, add employee, delete employee, delete table.
        try {
            	binding.createTable();

            	binding.insertEmployee(new org.apache.beehive.sample.WSEmployee(100, "John", "Kerry", "Senator"));
             	org.apache.beehive.sample.WSEmployee employee = null;
            	employee = binding.selectEmployee(100);
		assertTrue(employee.getFName().compareTo("John") == 0);
           	 org.apache.beehive.sample.WSEmployee[] employees = null;
            	employees = binding.selectEmployees();
		assertTrue(employees.length == 1);
             	binding.changeTitle(0, new java.lang.String());
         	binding.deleteEmployee(100);

 		binding.dropTable();

        }
        catch (org.apache.beehive.EmployeeDB.SQLException e1) {
            throw new junit.framework.AssertionFailedError("SQLException Exception caught: " + e1);
        }
        catch (org.apache.beehive.EmployeeDB.RemoteException e2) {
            throw new junit.framework.AssertionFailedError("RemoteException Exception caught: " + e2);
        }

    }

  
 


}
