/*
 * Product.java
 * 
 * Copyright 2001-2004 The Apache Software Foundation.
 * 
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * 
 * 
 * Original author: Jonathan Colwell
 */
package org.apache.beehive.samples.petstore.model.ws;

import java.awt.Image;

/*******************************************************************************
 * 
 *
 * @author Jonathan Colwell
 */
public class Product extends org.apache.beehive.samples.petstore.model.Product {


    private Image mAttachedImage;
  
    public Product()
    {
        super();
    }

    public Product(org.apache.beehive.samples.petstore.model.Product prod)
    {
        super();

        setProductId(prod.getProductId());
        setCategory(prod.getCategory());
        setName(prod.getName());
        setDescription(prod.getDescription());
        setImage(prod.getImage());
    }

    public Product(org.apache.beehive.samples.petstore.model.Product prod,
                   Image img
                   /*, Item[] items*/
                   )
    {
        this(prod);
        
        //setItemList(items);
        setAttachedImage(img);
    }

    public Image getAttachedImage() {
        return mAttachedImage;
    }

    public void setAttachedImage(Image img) {
        mAttachedImage = img;
    }
    /*
    public Item[] getItemList()
    {
        return mItems;
    }

    public void setItemList(Item[] items)
    {
        mItems = items;
    }
    */
}
